# GstJpegParser

Provides useful functions for parsing JPEG images

## GstJpegFrameComponent

Component-specification parameters.

### Members

`identifier` (guint8) –

Component identifier (Ci)

`horizontal_factor` (guint8) –

Horizontal sampling factor (Hi)

`vertical_factor` (guint8) –

Vertical sampling factor (Vi)

`quant_table_selector` (guint8) –

Quantization table destination selector (Tqi)

Since : 1.6

## GstCodecParsers.JpegFrameComponent

Component-specification parameters.

### Members

`identifier` (Number) –

Component identifier (Ci)

`horizontal_factor` (Number) –

Horizontal sampling factor (Hi)

`vertical_factor` (Number) –

Vertical sampling factor (Vi)

`quant_table_selector` (Number) –

Quantization table destination selector (Tqi)

Since : 1.6

## GstCodecParsers.JpegFrameComponent

Component-specification parameters.

### Members

`identifier` (int) –

Component identifier (Ci)

`horizontal_factor` (int) –

Horizontal sampling factor (Hi)

`vertical_factor` (int) –

Vertical sampling factor (Vi)

`quant_table_selector` (int) –

Quantization table destination selector (Tqi)

Since : 1.6

## GstJpegFrameHdr

Frame header.

### Members

`sample_precision` (guint8) –

Sample precision (P)

`width` (guint16) –

Number of samples per line (X)

`height` (guint16) –

Number of lines (Y)

`num_components` (guint8) –

Number of image components in frame (Nf)

`components` (GstJpegFrameComponent *) –

Image components

Since : 1.6

## GstCodecParsers.JpegFrameHdr

Frame header.

### Members

`sample_precision` (Number) –

Sample precision (P)

`width` (Number) –

Number of samples per line (X)

`height` (Number) –

Number of lines (Y)

`num_components` (Number) –

Number of image components in frame (Nf)

`components` ([ GstCodecParsers.JpegFrameComponent ]) –

Image components

Since : 1.6

## GstCodecParsers.JpegFrameHdr

Frame header.

### Members

`sample_precision` (int) –

Sample precision (P)

`width` (int) –

Number of samples per line (X)

`height` (int) –

Number of lines (Y)

`num_components` (int) –

Number of image components in frame (Nf)

`components` ([ GstCodecParsers.JpegFrameComponent ]) –

Image components

Since : 1.6

## GstJpegHuffmanTable

Huffman table.

### Members

`huf_bits` (guint8 *) –

Number of Huffman codes of length i + 1 (Li)

`huf_values` (guint8 *) –
No description available
`valid` (gboolean) –

If the Huffman table is valid, which means it has already been parsed

Since : 1.6

## GstCodecParsers.JpegHuffmanTable

Huffman table.

### Members

`huf_bits` ([ Number ]) –

Number of Huffman codes of length i + 1 (Li)

`huf_values` ([ Number ]) –
No description available
`valid` (Number) –

If the Huffman table is valid, which means it has already been parsed

Since : 1.6

## GstCodecParsers.JpegHuffmanTable

Huffman table.

### Members

`huf_bits` ([ int ]) –

Number of Huffman codes of length i + 1 (Li)

`huf_values` ([ int ]) –
No description available
`valid` (bool) –

If the Huffman table is valid, which means it has already been parsed

Since : 1.6

## GstJpegHuffmanTables

Helper data structure that holds all AC/DC Huffman tables used to decode an image.

### Members

`dc_tables` (GstJpegHuffmanTable *) –

DC Huffman tables

`ac_tables` (GstJpegHuffmanTable *) –

AC Huffman tables

Since : 1.6

## GstCodecParsers.JpegHuffmanTables

Helper data structure that holds all AC/DC Huffman tables used to decode an image.

### Members

`dc_tables` ([ GstCodecParsers.JpegHuffmanTable ]) –

DC Huffman tables

`ac_tables` ([ GstCodecParsers.JpegHuffmanTable ]) –

AC Huffman tables

Since : 1.6

## GstCodecParsers.JpegHuffmanTables

Helper data structure that holds all AC/DC Huffman tables used to decode an image.

### Members

`dc_tables` ([ GstCodecParsers.JpegHuffmanTable ]) –

DC Huffman tables

`ac_tables` ([ GstCodecParsers.JpegHuffmanTable ]) –

AC Huffman tables

Since : 1.6

## GstJpegQuantTable

Quantization table.

### Members

`quant_precision` (guint8) –

Quantization table element precision (Pq)

`quant_table` (guint16 *) –

Quantization table elements (Qk)

`valid` (gboolean) –

If the quantization table is valid, which means it has already been parsed

Since : 1.6

## GstCodecParsers.JpegQuantTable

Quantization table.

### Members

`quant_precision` (Number) –

Quantization table element precision (Pq)

`quant_table` ([ Number ]) –

Quantization table elements (Qk)

`valid` (Number) –

If the quantization table is valid, which means it has already been parsed

Since : 1.6

## GstCodecParsers.JpegQuantTable

Quantization table.

### Members

`quant_precision` (int) –

Quantization table element precision (Pq)

`quant_table` ([ int ]) –

Quantization table elements (Qk)

`valid` (bool) –

If the quantization table is valid, which means it has already been parsed

Since : 1.6

## GstJpegQuantTables

Helper data structure that holds all quantization tables used to decode an image.

### Members

`quant_tables` (GstJpegQuantTable *) –

All quantization tables

Since : 1.6

## GstCodecParsers.JpegQuantTables

Helper data structure that holds all quantization tables used to decode an image.

### Members

`quant_tables` ([ GstCodecParsers.JpegQuantTable ]) –

All quantization tables

Since : 1.6

## GstCodecParsers.JpegQuantTables

Helper data structure that holds all quantization tables used to decode an image.

### Members

`quant_tables` ([ GstCodecParsers.JpegQuantTable ]) –

All quantization tables

Since : 1.6

## GstJpegScanComponent

Component-specification parameters.

### Members

`component_selector` (guint8) –

Scan component selector (Csj)

`dc_selector` (guint8) –

DC entropy coding table destination selector (Tdj)

`ac_selector` (guint8) –

AC entropy coding table destination selector (Taj)

Since : 1.6

## GstCodecParsers.JpegScanComponent

Component-specification parameters.

### Members

`component_selector` (Number) –

Scan component selector (Csj)

`dc_selector` (Number) –

DC entropy coding table destination selector (Tdj)

`ac_selector` (Number) –

AC entropy coding table destination selector (Taj)

Since : 1.6

## GstCodecParsers.JpegScanComponent

Component-specification parameters.

### Members

`component_selector` (int) –

Scan component selector (Csj)

`dc_selector` (int) –

DC entropy coding table destination selector (Tdj)

`ac_selector` (int) –

AC entropy coding table destination selector (Taj)

Since : 1.6

## GstJpegScanHdr

Scan header.

### Members

`num_components` (guint8) –

Number of image components in scan (Ns)

`components` (GstJpegScanComponent *) –

Image components

Since : 1.6

## GstCodecParsers.JpegScanHdr

Scan header.

### Members

`num_components` (Number) –

Number of image components in scan (Ns)

`components` ([ GstCodecParsers.JpegScanComponent ]) –

Image components

Since : 1.6

## GstCodecParsers.JpegScanHdr

Scan header.

### Members

`num_components` (int) –

Number of image components in scan (Ns)

`components` ([ GstCodecParsers.JpegScanComponent ]) –

Image components

Since : 1.6

## GstJpegSegment

A structure that contains the type of a segment, its offset and its size.

### Members

`marker` (GstJpegMarker) –

The type of the segment that starts at offset

`data` (const guint8 *) –

the data containing the jpeg segment starting at offset

`offset` (guint) –

The offset to the segment start in bytes. This is the exact start of the segment, no marker code included

`size` (gssize) –

The size of the segment in bytes, or -1 if the end was not found. It is the exact size of the segment, without the sync byte and marker code but including any length bytes.

Since : 1.6

## GstCodecParsers.JpegSegment

A structure that contains the type of a segment, its offset and its size.

### Members

`marker` (GstCodecParsers.JpegMarker) –

The type of the segment that starts at offset

`data` (Number) –

the data containing the jpeg segment starting at offset

`offset` (Number) –

The offset to the segment start in bytes. This is the exact start of the segment, no marker code included

`size` (Number) –

The size of the segment in bytes, or -1 if the end was not found. It is the exact size of the segment, without the sync byte and marker code but including any length bytes.

Since : 1.6

## GstCodecParsers.JpegSegment

A structure that contains the type of a segment, its offset and its size.

### Members

`marker` (GstCodecParsers.JpegMarker) –

The type of the segment that starts at offset

`data` (int) –

the data containing the jpeg segment starting at offset

`offset` (int) –

The offset to the segment start in bytes. This is the exact start of the segment, no marker code included

`size` (int) –

The size of the segment in bytes, or -1 if the end was not found. It is the exact size of the segment, without the sync byte and marker code but including any length bytes.

Since : 1.6

### Methods

#### gst_jpeg_segment_parse_frame_header

    gboolean
    gst_jpeg_segment_parse_frame_header (const GstJpegSegment * segment,
                                         GstJpegFrameHdr * frame_hdr)

Parses the frame_hdr JPEG frame header structure members from segment.

The caller must make sure there is enough data for the whole segment available.

Parameters:

`segment` –

the JPEG segment

`frame_hdr` ( [out]) –

The GstJpegFrameHdr structure to fill in

Returns –

TRUE if the frame header was correctly parsed.

Since : 1.6

#### GstCodecParsers.JpegSegment.prototype.parse_frame_header

    function GstCodecParsers.JpegSegment.prototype.parse_frame_header(): {
        // javascript wrapper for 'gst_jpeg_segment_parse_frame_header'
    }

Parses the frame_hdr JPEG frame header structure members from segment.

The caller must make sure there is enough data for the whole segment available.

Parameters:

`segment` (GstCodecParsers.JpegSegment) –

the JPEG segment

Returns a tuple made of:

(Number ) –

TRUE if the frame header was correctly parsed.

`frame_hdr` (GstCodecParsers.JpegFrameHdr ) –

TRUE if the frame header was correctly parsed.

Since : 1.6

#### GstCodecParsers.JpegSegment.parse_frame_header

    def GstCodecParsers.JpegSegment.parse_frame_header (self):
        #python wrapper for 'gst_jpeg_segment_parse_frame_header'

Parses the frame_hdr JPEG frame header structure members from segment.

The caller must make sure there is enough data for the whole segment available.

Parameters:

`segment` (GstCodecParsers.JpegSegment) –

the JPEG segment

Returns a tuple made of:

(bool ) –

TRUE if the frame header was correctly parsed.

`frame_hdr` (GstCodecParsers.JpegFrameHdr ) –

TRUE if the frame header was correctly parsed.

Since : 1.6

#### gst_jpeg_segment_parse_huffman_table

    gboolean
    gst_jpeg_segment_parse_huffman_table (const GstJpegSegment * segment,
                                          GstJpegHuffmanTables * huff_tables)

Parses the JPEG Huffman table structure members from segment.

The caller must make sure there is enough data for the whole segment available.

Note: huf_tables represents the complete set of possible Huffman tables. However, the parser will only write to the Huffman table specified by the table destination identifier (Th). While doing so, the valid flag of the specified Huffman table will also be set to TRUE;

Parameters:

`segment` –

the JPEG segment

`huff_tables` ( [out]) –

The GstJpegHuffmanTables structure to fill in

Returns –

TRUE if the Huffman table was correctly parsed.

Since : 1.6

#### GstCodecParsers.JpegSegment.prototype.parse_huffman_table

    function GstCodecParsers.JpegSegment.prototype.parse_huffman_table(): {
        // javascript wrapper for 'gst_jpeg_segment_parse_huffman_table'
    }

Parses the JPEG Huffman table structure members from segment.

The caller must make sure there is enough data for the whole segment available.

Note: huf_tables represents the complete set of possible Huffman tables. However, the parser will only write to the Huffman table specified by the table destination identifier (Th). While doing so, the valid flag of the specified Huffman table will also be set to true;

Parameters:

`segment` (GstCodecParsers.JpegSegment) –

the JPEG segment

Returns a tuple made of:

(Number ) –

TRUE if the Huffman table was correctly parsed.

`huff_tables` (GstCodecParsers.JpegHuffmanTables ) –

TRUE if the Huffman table was correctly parsed.

Since : 1.6

#### GstCodecParsers.JpegSegment.parse_huffman_table

    def GstCodecParsers.JpegSegment.parse_huffman_table (self):
        #python wrapper for 'gst_jpeg_segment_parse_huffman_table'

Parses the JPEG Huffman table structure members from segment.

The caller must make sure there is enough data for the whole segment available.

Note: huf_tables represents the complete set of possible Huffman tables. However, the parser will only write to the Huffman table specified by the table destination identifier (Th). While doing so, the valid flag of the specified Huffman table will also be set to True;

Parameters:

`segment` (GstCodecParsers.JpegSegment) –

the JPEG segment

Returns a tuple made of:

(bool ) –

TRUE if the Huffman table was correctly parsed.

`huff_tables` (GstCodecParsers.JpegHuffmanTables ) –

TRUE if the Huffman table was correctly parsed.

Since : 1.6

#### gst_jpeg_segment_parse_quantization_table

    gboolean
    gst_jpeg_segment_parse_quantization_table (const GstJpegSegment * segment,
                                               GstJpegQuantTables * quant_tables)

Parses the JPEG quantization table structure members from segment.

The caller must make sure there is enough data for the whole segment available.

Note: quant_tables represents the complete set of possible quantization tables. However, the parser will only write to the quantization table specified by the table destination identifier (Tq). While doing so, the valid flag of the specified quantization table will also be set to TRUE.

Parameters:

`segment` –

the JPEG segment

`quant_tables` ( [out]) –

The GstJpegQuantTables structure to fill in

Returns –

TRUE if the quantization table was correctly parsed.

Since : 1.6

#### GstCodecParsers.JpegSegment.prototype.parse_quantization_table

    function GstCodecParsers.JpegSegment.prototype.parse_quantization_table(): {
        // javascript wrapper for 'gst_jpeg_segment_parse_quantization_table'
    }

Parses the JPEG quantization table structure members from segment.

The caller must make sure there is enough data for the whole segment available.

Note: quant_tables represents the complete set of possible quantization tables. However, the parser will only write to the quantization table specified by the table destination identifier (Tq). While doing so, the valid flag of the specified quantization table will also be set to true.

Parameters:

`segment` (GstCodecParsers.JpegSegment) –

the JPEG segment

Returns a tuple made of:

(Number ) –

TRUE if the quantization table was correctly parsed.

`quant_tables` (GstCodecParsers.JpegQuantTables ) –

TRUE if the quantization table was correctly parsed.

Since : 1.6

#### GstCodecParsers.JpegSegment.parse_quantization_table

    def GstCodecParsers.JpegSegment.parse_quantization_table (self):
        #python wrapper for 'gst_jpeg_segment_parse_quantization_table'

Parses the JPEG quantization table structure members from segment.

The caller must make sure there is enough data for the whole segment available.

Note: quant_tables represents the complete set of possible quantization tables. However, the parser will only write to the quantization table specified by the table destination identifier (Tq). While doing so, the valid flag of the specified quantization table will also be set to True.

Parameters:

`segment` (GstCodecParsers.JpegSegment) –

the JPEG segment

Returns a tuple made of:

(bool ) –

TRUE if the quantization table was correctly parsed.

`quant_tables` (GstCodecParsers.JpegQuantTables ) –

TRUE if the quantization table was correctly parsed.

Since : 1.6

#### gst_jpeg_segment_parse_restart_interval

    gboolean
    gst_jpeg_segment_parse_restart_interval (const GstJpegSegment * segment,
                                             guint * interval)

The caller must make sure there is enough data for the whole segment available.

Parameters:

`segment` –

the JPEG segment

`interval` ( [out]) –

The parsed restart interval value

Returns –

TRUE if the restart interval value was correctly parsed.

Since : 1.6

#### GstCodecParsers.JpegSegment.prototype.parse_restart_interval

    function GstCodecParsers.JpegSegment.prototype.parse_restart_interval(): {
        // javascript wrapper for 'gst_jpeg_segment_parse_restart_interval'
    }

The caller must make sure there is enough data for the whole segment available.

Parameters:

`segment` (GstCodecParsers.JpegSegment) –

the JPEG segment

Returns a tuple made of:

(Number ) –

TRUE if the restart interval value was correctly parsed.

`interval` (Number ) –

TRUE if the restart interval value was correctly parsed.

Since : 1.6

#### GstCodecParsers.JpegSegment.parse_restart_interval

    def GstCodecParsers.JpegSegment.parse_restart_interval (self):
        #python wrapper for 'gst_jpeg_segment_parse_restart_interval'

The caller must make sure there is enough data for the whole segment available.

Parameters:

`segment` (GstCodecParsers.JpegSegment) –

the JPEG segment

Returns a tuple made of:

(bool ) –

TRUE if the restart interval value was correctly parsed.

`interval` (int ) –

TRUE if the restart interval value was correctly parsed.

Since : 1.6

#### gst_jpeg_segment_parse_scan_header

    gboolean
    gst_jpeg_segment_parse_scan_header (const GstJpegSegment * segment,
                                        GstJpegScanHdr * scan_hdr)

Parses the scan_hdr JPEG scan header structure members from segment.

The caller must make sure there is enough data for the whole segment available.

Parameters:

`segment` –

the JPEG segment

`scan_hdr` ( [out]) –

The GstJpegScanHdr structure to fill in

Returns –

TRUE if the scan header was correctly parsed

Since : 1.6

#### GstCodecParsers.JpegSegment.prototype.parse_scan_header

    function GstCodecParsers.JpegSegment.prototype.parse_scan_header(): {
        // javascript wrapper for 'gst_jpeg_segment_parse_scan_header'
    }

Parses the scan_hdr JPEG scan header structure members from segment.

The caller must make sure there is enough data for the whole segment available.

Parameters:

`segment` (GstCodecParsers.JpegSegment) –

the JPEG segment

Returns a tuple made of:

(Number ) –

TRUE if the scan header was correctly parsed

`scan_hdr` (GstCodecParsers.JpegScanHdr ) –

TRUE if the scan header was correctly parsed

Since : 1.6

#### GstCodecParsers.JpegSegment.parse_scan_header

    def GstCodecParsers.JpegSegment.parse_scan_header (self):
        #python wrapper for 'gst_jpeg_segment_parse_scan_header'

Parses the scan_hdr JPEG scan header structure members from segment.

The caller must make sure there is enough data for the whole segment available.

Parameters:

`segment` (GstCodecParsers.JpegSegment) –

the JPEG segment

Returns a tuple made of:

(bool ) –

TRUE if the scan header was correctly parsed

`scan_hdr` (GstCodecParsers.JpegScanHdr ) –

TRUE if the scan header was correctly parsed

Since : 1.6

## Functions

### gst_jpeg_get_default_huffman_tables

    gst_jpeg_get_default_huffman_tables (GstJpegHuffmanTables * huff_tables)

Fills in huf_tables with the default AC/DC Huffman tables, as specified by the JPEG standard.

Parameters:

`huff_tables` ( [out]) –

The default DC/AC Huffman tables to fill in

Since : 1.6

### GstCodecParsers.prototype.jpeg_get_default_huffman_tables

    function GstCodecParsers.prototype.jpeg_get_default_huffman_tables(): {
        // javascript wrapper for 'gst_jpeg_get_default_huffman_tables'
    }

Fills in huf_tables with the default AC/DC Huffman tables, as specified by the JPEG standard.

Since : 1.6

### GstCodecParsers.jpeg_get_default_huffman_tables

    def GstCodecParsers.jpeg_get_default_huffman_tables ():
        #python wrapper for 'gst_jpeg_get_default_huffman_tables'

Fills in huf_tables with the default AC/DC Huffman tables, as specified by the JPEG standard.

Since : 1.6

### gst_jpeg_get_default_quantization_tables

    gst_jpeg_get_default_quantization_tables (GstJpegQuantTables * quant_tables)

Parameters:

`quant_tables` –
No description available

### GstCodecParsers.prototype.jpeg_get_default_quantization_tables

    function GstCodecParsers.prototype.jpeg_get_default_quantization_tables(quant_tables: GstCodecParsers.JpegQuantTables): {
        // javascript wrapper for 'gst_jpeg_get_default_quantization_tables'
    }

Parameters:

`quant_tables` (GstCodecParsers.JpegQuantTables) –
No description available

### GstCodecParsers.jpeg_get_default_quantization_tables

    def GstCodecParsers.jpeg_get_default_quantization_tables (quant_tables):
        #python wrapper for 'gst_jpeg_get_default_quantization_tables'

Parameters:

`quant_tables` (GstCodecParsers.JpegQuantTables) –
No description available

### gst_jpeg_parse

    gboolean
    gst_jpeg_parse (GstJpegSegment * seg,
                    const guint8 * data,
                    gsize size,
                    guint offset)

Parses the JPEG bitstream contained in data, and returns the detected segment as a GstJpegSegment.

Note that a valid segment may be returned with a length that exceeds the available data. It is up to the caller to make sure there's enough data available when parsing the segment.

Parameters:

`seg` ( [out]) –

pointer to a GstJpegSegment structure to fill in

`data` –

The data to parse

`size` –

The size of data

`offset` –

The offset from which to start parsing

Returns –

TRUE if a packet start code was found.

Since : 1.6

### GstCodecParsers.prototype.jpeg_parse

    function GstCodecParsers.prototype.jpeg_parse(data: Number, size: Number, offset: Number): {
        // javascript wrapper for 'gst_jpeg_parse'
    }

Parses the JPEG bitstream contained in data, and returns the detected segment as a GstCodecParsers.JpegSegment.

Note that a valid segment may be returned with a length that exceeds the available data. It is up to the caller to make sure there's enough data available when parsing the segment.

Parameters:

`data` (Number) –

The data to parse

`size` (Number) –

The size of data

`offset` (Number) –

The offset from which to start parsing

Returns a tuple made of:

(Number ) –

TRUE if a packet start code was found.

`seg` (GstCodecParsers.JpegSegment ) –

TRUE if a packet start code was found.

Since : 1.6

### GstCodecParsers.jpeg_parse

    def GstCodecParsers.jpeg_parse (data, size, offset):
        #python wrapper for 'gst_jpeg_parse'

Parses the JPEG bitstream contained in data, and returns the detected segment as a GstCodecParsers.JpegSegment.

Note that a valid segment may be returned with a length that exceeds the available data. It is up to the caller to make sure there's enough data available when parsing the segment.

Parameters:

`data` (int) –

The data to parse

`size` (int) –

The size of data

`offset` (int) –

The offset from which to start parsing

Returns a tuple made of:

(bool ) –

TRUE if a packet start code was found.

`seg` (GstCodecParsers.JpegSegment ) –

TRUE if a packet start code was found.

Since : 1.6

## Enumerations

### GstJpegEntropyCodingMode

JPEG entropy coding mode.

##### Members

`GST_JPEG_ENTROPY_CODING_HUFFMAN` (0) –

Huffman coding

`GST_JPEG_ENTROPY_CODING_ARITHMETIC` (8) –

arithmetic coding

Since : 1.6

### GstCodecParsers.JpegEntropyCodingMode

JPEG entropy coding mode.

##### Members

`GstCodecParsers.JpegEntropyCodingMode.HUFFMAN` (0) –

Huffman coding

`GstCodecParsers.JpegEntropyCodingMode.ARITHMETIC` (8) –

arithmetic coding

Since : 1.6

### GstCodecParsers.JpegEntropyCodingMode

JPEG entropy coding mode.

##### Members

`GstCodecParsers.JpegEntropyCodingMode.HUFFMAN` (0) –

Huffman coding

`GstCodecParsers.JpegEntropyCodingMode.ARITHMETIC` (8) –

arithmetic coding

Since : 1.6

### GstJpegMarker

Indicates the type of JPEG segment.

##### Members

`GST_JPEG_MARKER_SOF0` (192) –

Start of frame marker code (Baseline)

`GST_JPEG_MARKER_SOF1` (193) –

Start of frame marker code (Extended Sequential, Huffman)

`GST_JPEG_MARKER_SOF2` (194) –

Start of frame marker code (Progressive, Huffman)

`GST_JPEG_MARKER_SOF3` (195) –

Start of frame marker code (Lossless, Huffman)

`GST_JPEG_MARKER_SOF5` (197) –

Start of frame marker code (Differential Sequential, Huffman)

`GST_JPEG_MARKER_SOF6` (198) –

Start of frame marker code (Differential Progressive, Huffman)

`GST_JPEG_MARKER_SOF7` (199) –

Start of frame marker code (Differential Lossless, Huffman)

`GST_JPEG_MARKER_SOF9` (201) –

Start of frame marker code (Extended Sequential, Arithmetic)

`GST_JPEG_MARKER_SOF10` (202) –

Start of frame marker code (Progressive, Arithmetic)

`GST_JPEG_MARKER_SOF11` (203) –

Start of frame marker code (Lossless, Arithmetic)

`GST_JPEG_MARKER_SOF13` (205) –

Start of frame marker code (Differential Sequential, Arithmetic)

`GST_JPEG_MARKER_SOF14` (206) –

Start of frame marker code (Differential Progressive, Arithmetic)

`GST_JPEG_MARKER_SOF15` (207) –

Start of frame marker code (Differential Lossless, Arithmetic)

`GST_JPEG_MARKER_DHT` (196) –

Huffman table marker code

`GST_JPEG_MARKER_DAC` (204) –

Arithmetic coding marker code

`GST_JPEG_MARKER_RST0` (208) –
No description available
`GST_JPEG_MARKER_RST1` (209) –
No description available
`GST_JPEG_MARKER_RST2` (210) –
No description available
`GST_JPEG_MARKER_RST3` (211) –
No description available
`GST_JPEG_MARKER_RST4` (212) –
No description available
`GST_JPEG_MARKER_RST5` (213) –
No description available
`GST_JPEG_MARKER_RST6` (214) –
No description available
`GST_JPEG_MARKER_RST7` (215) –
No description available
`GST_JPEG_MARKER_SOI` (216) –

Start of image marker code

`GST_JPEG_MARKER_EOI` (217) –

End of image marker code

`GST_JPEG_MARKER_SOS` (218) –

Start of scan marker code

`GST_JPEG_MARKER_DQT` (219) –

Define quantization table marker code

`GST_JPEG_MARKER_DNL` (220) –

Define number of lines marker code

`GST_JPEG_MARKER_DRI` (221) –

Define restart interval marker code

`GST_JPEG_MARKER_APP0` (224) –

Application segment 0 marker code

`GST_JPEG_MARKER_APP1` (225) –

Application segment 1 marker code

`GST_JPEG_MARKER_APP2` (226) –

Application segment 2 marker code

`GST_JPEG_MARKER_APP3` (227) –

Application segment 3 marker code

`GST_JPEG_MARKER_APP4` (228) –

Application segment 4 marker code

`GST_JPEG_MARKER_APP5` (229) –

Application segment 5 marker code

`GST_JPEG_MARKER_APP6` (230) –

Application segment 6 marker code

`GST_JPEG_MARKER_APP7` (231) –

Application segment 7 marker code

`GST_JPEG_MARKER_APP8` (232) –

Application segment 8 marker code

`GST_JPEG_MARKER_APP9` (233) –

Application segment 9 marker code

`GST_JPEG_MARKER_APP10` (234) –

Application segment 10 marker code

`GST_JPEG_MARKER_APP11` (235) –

Application segment 11 marker code

`GST_JPEG_MARKER_APP12` (236) –

Application segment 12 marker code

`GST_JPEG_MARKER_APP13` (237) –

Application segment 13 marker code

`GST_JPEG_MARKER_APP14` (238) –

Application segment 14 marker code

`GST_JPEG_MARKER_APP15` (239) –

Application segment 15 marker code

`GST_JPEG_MARKER_COM` (254) –

Comment marker code

Since : 1.6

### GstCodecParsers.JpegMarker

Indicates the type of JPEG segment.

##### Members

`GstCodecParsers.JpegMarker.SOF0` (192) –

Start of frame marker code (Baseline)

`GstCodecParsers.JpegMarker.SOF1` (193) –

Start of frame marker code (Extended Sequential, Huffman)

`GstCodecParsers.JpegMarker.SOF2` (194) –

Start of frame marker code (Progressive, Huffman)

`GstCodecParsers.JpegMarker.SOF3` (195) –

Start of frame marker code (Lossless, Huffman)

`GstCodecParsers.JpegMarker.SOF5` (197) –

Start of frame marker code (Differential Sequential, Huffman)

`GstCodecParsers.JpegMarker.SOF6` (198) –

Start of frame marker code (Differential Progressive, Huffman)

`GstCodecParsers.JpegMarker.SOF7` (199) –

Start of frame marker code (Differential Lossless, Huffman)

`GstCodecParsers.JpegMarker.SOF9` (201) –

Start of frame marker code (Extended Sequential, Arithmetic)

`GstCodecParsers.JpegMarker.SOF10` (202) –

Start of frame marker code (Progressive, Arithmetic)

`GstCodecParsers.JpegMarker.SOF11` (203) –

Start of frame marker code (Lossless, Arithmetic)

`GstCodecParsers.JpegMarker.SOF13` (205) –

Start of frame marker code (Differential Sequential, Arithmetic)

`GstCodecParsers.JpegMarker.SOF14` (206) –

Start of frame marker code (Differential Progressive, Arithmetic)

`GstCodecParsers.JpegMarker.SOF15` (207) –

Start of frame marker code (Differential Lossless, Arithmetic)

`GstCodecParsers.JpegMarker.DHT` (196) –

Huffman table marker code

`GstCodecParsers.JpegMarker.DAC` (204) –

Arithmetic coding marker code

`GstCodecParsers.JpegMarker.RST0` (208) –
No description available
`GstCodecParsers.JpegMarker.RST1` (209) –
No description available
`GstCodecParsers.JpegMarker.RST2` (210) –
No description available
`GstCodecParsers.JpegMarker.RST3` (211) –
No description available
`GstCodecParsers.JpegMarker.RST4` (212) –
No description available
`GstCodecParsers.JpegMarker.RST5` (213) –
No description available
`GstCodecParsers.JpegMarker.RST6` (214) –
No description available
`GstCodecParsers.JpegMarker.RST7` (215) –
No description available
`GstCodecParsers.JpegMarker.SOI` (216) –

Start of image marker code

`GstCodecParsers.JpegMarker.EOI` (217) –

End of image marker code

`GstCodecParsers.JpegMarker.SOS` (218) –

Start of scan marker code

`GstCodecParsers.JpegMarker.DQT` (219) –

Define quantization table marker code

`GstCodecParsers.JpegMarker.DNL` (220) –

Define number of lines marker code

`GstCodecParsers.JpegMarker.DRI` (221) –

Define restart interval marker code

`GstCodecParsers.JpegMarker.APP0` (224) –

Application segment 0 marker code

`GstCodecParsers.JpegMarker.APP1` (225) –

Application segment 1 marker code

`GstCodecParsers.JpegMarker.APP2` (226) –

Application segment 2 marker code

`GstCodecParsers.JpegMarker.APP3` (227) –

Application segment 3 marker code

`GstCodecParsers.JpegMarker.APP4` (228) –

Application segment 4 marker code

`GstCodecParsers.JpegMarker.APP5` (229) –

Application segment 5 marker code

`GstCodecParsers.JpegMarker.APP6` (230) –

Application segment 6 marker code

`GstCodecParsers.JpegMarker.APP7` (231) –

Application segment 7 marker code

`GstCodecParsers.JpegMarker.APP8` (232) –

Application segment 8 marker code

`GstCodecParsers.JpegMarker.APP9` (233) –

Application segment 9 marker code

`GstCodecParsers.JpegMarker.APP10` (234) –

Application segment 10 marker code

`GstCodecParsers.JpegMarker.APP11` (235) –

Application segment 11 marker code

`GstCodecParsers.JpegMarker.APP12` (236) –

Application segment 12 marker code

`GstCodecParsers.JpegMarker.APP13` (237) –

Application segment 13 marker code

`GstCodecParsers.JpegMarker.APP14` (238) –

Application segment 14 marker code

`GstCodecParsers.JpegMarker.APP15` (239) –

Application segment 15 marker code

`GstCodecParsers.JpegMarker.COM` (254) –

Comment marker code

Since : 1.6

### GstCodecParsers.JpegMarker

Indicates the type of JPEG segment.

##### Members

`GstCodecParsers.JpegMarker.SOF0` (192) –

Start of frame marker code (Baseline)

`GstCodecParsers.JpegMarker.SOF1` (193) –

Start of frame marker code (Extended Sequential, Huffman)

`GstCodecParsers.JpegMarker.SOF2` (194) –

Start of frame marker code (Progressive, Huffman)

`GstCodecParsers.JpegMarker.SOF3` (195) –

Start of frame marker code (Lossless, Huffman)

`GstCodecParsers.JpegMarker.SOF5` (197) –

Start of frame marker code (Differential Sequential, Huffman)

`GstCodecParsers.JpegMarker.SOF6` (198) –

Start of frame marker code (Differential Progressive, Huffman)

`GstCodecParsers.JpegMarker.SOF7` (199) –

Start of frame marker code (Differential Lossless, Huffman)

`GstCodecParsers.JpegMarker.SOF9` (201) –

Start of frame marker code (Extended Sequential, Arithmetic)

`GstCodecParsers.JpegMarker.SOF10` (202) –

Start of frame marker code (Progressive, Arithmetic)

`GstCodecParsers.JpegMarker.SOF11` (203) –

Start of frame marker code (Lossless, Arithmetic)

`GstCodecParsers.JpegMarker.SOF13` (205) –

Start of frame marker code (Differential Sequential, Arithmetic)

`GstCodecParsers.JpegMarker.SOF14` (206) –

Start of frame marker code (Differential Progressive, Arithmetic)

`GstCodecParsers.JpegMarker.SOF15` (207) –

Start of frame marker code (Differential Lossless, Arithmetic)

`GstCodecParsers.JpegMarker.DHT` (196) –

Huffman table marker code

`GstCodecParsers.JpegMarker.DAC` (204) –

Arithmetic coding marker code

`GstCodecParsers.JpegMarker.RST0` (208) –
No description available
`GstCodecParsers.JpegMarker.RST1` (209) –
No description available
`GstCodecParsers.JpegMarker.RST2` (210) –
No description available
`GstCodecParsers.JpegMarker.RST3` (211) –
No description available
`GstCodecParsers.JpegMarker.RST4` (212) –
No description available
`GstCodecParsers.JpegMarker.RST5` (213) –
No description available
`GstCodecParsers.JpegMarker.RST6` (214) –
No description available
`GstCodecParsers.JpegMarker.RST7` (215) –
No description available
`GstCodecParsers.JpegMarker.SOI` (216) –

Start of image marker code

`GstCodecParsers.JpegMarker.EOI` (217) –

End of image marker code

`GstCodecParsers.JpegMarker.SOS` (218) –

Start of scan marker code

`GstCodecParsers.JpegMarker.DQT` (219) –

Define quantization table marker code

`GstCodecParsers.JpegMarker.DNL` (220) –

Define number of lines marker code

`GstCodecParsers.JpegMarker.DRI` (221) –

Define restart interval marker code

`GstCodecParsers.JpegMarker.APP0` (224) –

Application segment 0 marker code

`GstCodecParsers.JpegMarker.APP1` (225) –

Application segment 1 marker code

`GstCodecParsers.JpegMarker.APP2` (226) –

Application segment 2 marker code

`GstCodecParsers.JpegMarker.APP3` (227) –

Application segment 3 marker code

`GstCodecParsers.JpegMarker.APP4` (228) –

Application segment 4 marker code

`GstCodecParsers.JpegMarker.APP5` (229) –

Application segment 5 marker code

`GstCodecParsers.JpegMarker.APP6` (230) –

Application segment 6 marker code

`GstCodecParsers.JpegMarker.APP7` (231) –

Application segment 7 marker code

`GstCodecParsers.JpegMarker.APP8` (232) –

Application segment 8 marker code

`GstCodecParsers.JpegMarker.APP9` (233) –

Application segment 9 marker code

`GstCodecParsers.JpegMarker.APP10` (234) –

Application segment 10 marker code

`GstCodecParsers.JpegMarker.APP11` (235) –

Application segment 11 marker code

`GstCodecParsers.JpegMarker.APP12` (236) –

Application segment 12 marker code

`GstCodecParsers.JpegMarker.APP13` (237) –

Application segment 13 marker code

`GstCodecParsers.JpegMarker.APP14` (238) –

Application segment 14 marker code

`GstCodecParsers.JpegMarker.APP15` (239) –

Application segment 15 marker code

`GstCodecParsers.JpegMarker.COM` (254) –

Comment marker code

Since : 1.6

### GstJpegProfile

JPEG encoding processes.

##### Members

`GST_JPEG_PROFILE_BASELINE` (0) –

Baseline DCT

`GST_JPEG_PROFILE_EXTENDED` (1) –

Extended sequential DCT

`GST_JPEG_PROFILE_PROGRESSIVE` (2) –

Progressive DCT

`GST_JPEG_PROFILE_LOSSLESS` (3) –

Lossless (sequential)

Since : 1.6

### GstCodecParsers.JpegProfile

JPEG encoding processes.

##### Members

`GstCodecParsers.JpegProfile.BASELINE` (0) –

Baseline DCT

`GstCodecParsers.JpegProfile.EXTENDED` (1) –

Extended sequential DCT

`GstCodecParsers.JpegProfile.PROGRESSIVE` (2) –

Progressive DCT

`GstCodecParsers.JpegProfile.LOSSLESS` (3) –

Lossless (sequential)

Since : 1.6

### GstCodecParsers.JpegProfile

JPEG encoding processes.

##### Members

`GstCodecParsers.JpegProfile.BASELINE` (0) –

Baseline DCT

`GstCodecParsers.JpegProfile.EXTENDED` (1) –

Extended sequential DCT

`GstCodecParsers.JpegProfile.PROGRESSIVE` (2) –

Progressive DCT

`GstCodecParsers.JpegProfile.LOSSLESS` (3) –

Lossless (sequential)

Since : 1.6

## Constants

### GST_JPEG_MARKER_APP_MAX

    #define GST_JPEG_MARKER_APP_MAX GST_JPEG_MARKER_APP15

### GST_JPEG_MARKER_APP_MIN

    #define GST_JPEG_MARKER_APP_MIN GST_JPEG_MARKER_APP0

### GST_JPEG_MARKER_RST_MAX

    #define GST_JPEG_MARKER_RST_MAX GST_JPEG_MARKER_RST7

### GST_JPEG_MARKER_RST_MIN

    #define GST_JPEG_MARKER_RST_MIN GST_JPEG_MARKER_RST0

### GST_JPEG_MARKER_SOF_MAX

    #define GST_JPEG_MARKER_SOF_MAX GST_JPEG_MARKER_SOF15

### GST_JPEG_MARKER_SOF_MIN

    #define GST_JPEG_MARKER_SOF_MIN GST_JPEG_MARKER_SOF0

### GST_JPEG_MAX_FRAME_COMPONENTS

    #define GST_JPEG_MAX_FRAME_COMPONENTS   256

Maximum number of image components in a frame (Nf).

Since : 1.6

### GstCodecParsers.JPEG_MAX_FRAME_COMPONENTS

Maximum number of image components in a frame (Nf).

Since : 1.6

### GstCodecParsers.JPEG_MAX_FRAME_COMPONENTS

Maximum number of image components in a frame (Nf).

Since : 1.6

### GST_JPEG_MAX_QUANT_ELEMENTS

    #define GST_JPEG_MAX_QUANT_ELEMENTS     64

Number of elements in the quantization table.

Since : 1.6

### GstCodecParsers.JPEG_MAX_QUANT_ELEMENTS

Number of elements in the quantization table.

Since : 1.6

### GstCodecParsers.JPEG_MAX_QUANT_ELEMENTS

Number of elements in the quantization table.

Since : 1.6

### GST_JPEG_MAX_SCAN_COMPONENTS

    #define GST_JPEG_MAX_SCAN_COMPONENTS    4

Maximum number of image components in a scan (Ns).

Since : 1.6

### GstCodecParsers.JPEG_MAX_SCAN_COMPONENTS

Maximum number of image components in a scan (Ns).

Since : 1.6

### GstCodecParsers.JPEG_MAX_SCAN_COMPONENTS

Maximum number of image components in a scan (Ns).

Since : 1.6

The results of the search are